<?

    require("class.phpmailer.php");    
 
    function FormatarData($Data) 
    { 
        $date_array = explode("/",$Data);  
        $var_day     = $date_array[0]; 
        $var_month   = $date_array[1]; 
        $var_year    = $date_array[2]; 

        $format_data = date("Y-m-d H:i:s", mktime(0,0,0,$var_month,$var_day,$var_year)); 
        return($format_data);  
    } 

    function FormatarDataHora($Data,$Hora,$Min) 
    { 
        $date_array = explode("/",$Data);
  
        $var_day   = $date_array[0]; 
        $var_month = $date_array[1]; 
        $var_year  = $date_array[2]; 

        $format_data = date("Y-m-d H:i:s", mktime($Hora,$Min,0,$var_month,$var_day,$var_year)); 
        return($format_data);  
    } 


    function header_rental_cost()
    {
        $header_rental_cost = '
        <TABLE STYLE="font-family: Arial,Helvetica,Geneva,Sans-serif,sans-serif; font-size: 12px; font-weight: bold;" BORDER=1 CELLSPACING=0 CELLPADDING=0 WIDTH="540">
           <TR HEIGHT=25>
             <TD WIDTH=300 STYLE="padding-left: 4pt">
                <P>DESCRIÇAO</P>
             </TD>
             <TD ALIGN=RIGHT WIDTH=40 STYLE="padding-right: 4pt;">
                <P>QTY</P>
             </TD>
             <TD ALIGN=RIGHT WIDTH=90 STYLE="padding-right: 4pt;">
                <P>VALOR</P>
             </TD>
             <TD ALIGN=RIGHT WIDTH=110 STYLE="padding-right: 4pt;">
                <P>VALOR TOTAL</P>
             </TD>
           </TR>';
        return ($header_rental_cost);
    }

 
    function body_rental_cost($desc,$qty,$price,$total_price)
    {   
        if ($qty == '')
            $qty = '&nbsp';

        $body_rental_cost = '
        <TR HEIGHT=25 STYLE="font-family: Arial,Helvetica,Geneva,Sans-serif,sans-serif; font-size: 12px; font-weight: normal;">
           <TD STYLE="padding-left: 4pt">
              <P>'.$desc.'</P>
           </TD>
           <TD ALIGN=RIGHT STYLE="padding-right: 4pt;">
              <P>'.$qty.'</P>
           </TD>
           <TD ALIGN=RIGHT STYLE="padding-right: 4pt;">
              <P>'.$price.'</P>
           </TD>
           <TD ALIGN=RIGHT STYLE="padding-right: 4pt;">
              <P>'.$total_price.'</P>
           </TD>
        </TR>';
        return ($body_rental_cost);
    }


    function envio_email_rentacar($nro_voucher, $cod_rentacar, $nome_rentacar, $desc_categoria, $cod_grupo, $desc_grupo, $pick_up_full_data, $drop_off_full_data, $nro_dias, $desc_extras, $included, $nome_hotel, $nro_voo, $lugar_entrega, $lugar_recolha, $nome_cliente_final, $email_cliente, $telefone_cliente)
    {                
        $msg="<html><body>
        <br>
        Recebemos do cliente: $nome_cliente_final, a seguinte reserva.
        <br><br>
        <B>Rentacar:</B>          $nome_rentacar
        <br> 
        <B>Nro Voucher:</B>       <B>B$nro_voucher</B>
        <br><br>

        <B>Nome do cliente:</B>   $nome_cliente_final
        <br>
        <B>Data de entrega:</B>   $pick_up_full_data
        <br>
        <B>Lugar de entrega:</B>  $lugar_entrega
        <br><br>
        <B>Data de recolha:</B>   $drop_off_full_data
        <br>
        <B>Lugar de recolha:</B>  $lugar_recolha
        <br><br>

        <B>Categoria:</B>         $desc_categoria
        <br>
        <B>Grupo:</B>             $cod_grupo  -  $desc_grupo
        <br>
        <B>Nº dias:</B>           $nro_dias
        <br><br>

        <B>Nro de voo:</B>        $nro_voo
        <br>
        <B>Nome de Hotel:</B>     $nome_hotel
        <br>
        <B>Email do cliente:</B>  $email_cliente              
        <br>
        <B>Telefone cliente:</B>  $telefone_cliente              
        <br>		
        <B>Incluido:</B>          $included
        <br><br>

        $desc_extras
        <br>
        </body></html>";

        $email_rentacar = '';
        $sql    = "select email_reserva from tr_rentacar where cod_rentacar=$cod_rentacar";
	    $result = mysql_query($sql);
	    $num_row= mysql_num_rows($result);
                
        if($num_row!=0) 
        {
           $row            = mysql_fetch_row($result);     	         
           $email_rentacar = $row[0];             
        }               

        if ($email_rentacar != '')
        {            
            $mail = new PHPMailer();
            $mail->IsSMTP();                             // send via SMTP
            $mail->Host     = "127.0.0.1";               // SMTP servers
            $mail->SMTPAuth = true;                      // turn on SMTP authentication
            $mail->Username = "informatica@bravacar.com.pt"; // um endereço e-mail valido deste domínio
            $mail->Password = "london";                  // senha desse endereço e-mail valido deste domínio    

            $mail->From     = RESERV_EMAIL;            
            $mail->FromName = "Reservas Bravacar";             
            $mail->AddAddress(RESERV_EMAIL);          
                       
            $mail->WordWrap = 50;                         // set word wrap
            $mail->IsHTML(true);                          // send as HTML            

            $mail->Subject  =  "Reserva - Bravacar - Rent a car";

            $mail->Body     =  $msg;
            $mail->AltBody  =  "";
            
            if(!$mail->Send())
            {
                echo "Mail não enviado <p>";
                echo "Erro: " . $mail->ErrorInfo;
                exit;
            }
            $mail->SmtpClose();


            ####### ENVIO DO EMAIL DA RENTACAR PARA O EMAIL DE SEGUIMENTO #######

            $mail = new PHPMailer();
            $mail->IsSMTP();                             // send via SMTP
            $mail->Host     = "127.0.0.1";               // SMTP servers
            $mail->SMTPAuth = true;                      // turn on SMTP authentication
            $mail->Username = "informatica@bravacar.com.pt"; // um endereço e-mail valido deste domínio
            $mail->Password = "london";                  // senha desse endereço e-mail valido deste domínio

            $mail->From     = RESERV_EMAIL;            
            $mail->FromName = "Rentacar - Reserva Bravacar";
            $mail->AddAddress(SEG_EMAIL);
 
            $mail->WordWrap = 50;                         // set word wrap
            $mail->IsHTML(true);                          // send as HTML            

            $net_assunto    =  "Reserva - Bravacar - Rent a car. Voucher: B".$nro_voucher;
            $mail->Subject  =  $net_assunto;

            $mail->Body     =  $msg;
            $mail->AltBody  =  "";
            
            if(!$mail->Send())
            {
                echo "Mail não enviado <p>";
                echo "Erro: " . $mail->ErrorInfo;
                exit;
            }
            $mail->SmtpClose();
        }
    }


    function envio_email()
    {
       $msg='';
       $i = 0;

       if ($_SESSION['ocarrito']->array_id_prod[$i][1]=='Car')
       {                
           $nro_voucher            = $_SESSION['ocarrito']->array_id_prod[$i][2];     
           $id_voucher             = $_SESSION['ocarrito']->array_id_prod[$i][3];    
           $cod_rentacar           = $_SESSION['ocarrito']->array_cars[$i][0];                           
           $nome_rentacar          = $_SESSION['ocarrito']->array_cars[$i][1];              
           $desc_regiao            = $_SESSION['ocarrito']->array_cars[$i][3];
           $desc_categoria         = $_SESSION['ocarrito']->array_cars[$i][5];
           $cod_grupo              = $_SESSION['ocarrito']->array_cars[$i][6];
           $desc_grupo             = $_SESSION['ocarrito']->array_cars[$i][7];

           $desc_pick_up_location  = $_SESSION['ocarrito']->array_cars[$i][9];
           $pick_up_full_data      = $_SESSION['ocarrito']->array_cars[$i][10];

           $desc_region_dest       = $_SESSION['ocarrito']->array_cars[$i][15];
           $desc_drop_off_location = $_SESSION['ocarrito']->array_cars[$i][17];
           $drop_off_full_data     = $_SESSION['ocarrito']->array_cars[$i][18];
           $nro_dias               = $_SESSION['ocarrito']->array_cars[$i][22];

           $cod_extra1             = $_SESSION['ocarrito']->array_cars[$i][23];
           $desc_extra1            = $_SESSION['ocarrito']->array_cars[$i][24];
           $qty_extra1             = $_SESSION['ocarrito']->array_cars[$i][25];
           $v_extra1               = $_SESSION['ocarrito']->array_cars[$i][26];
           $vt_extra1              = $_SESSION['ocarrito']->array_cars[$i][27];
           $vt_extra1              = number_format($vt_extra1, 2, '.', '').' EUR';

           $cod_extra2             = $_SESSION['ocarrito']->array_cars[$i][28];
           $desc_extra2            = $_SESSION['ocarrito']->array_cars[$i][29];
           $qty_extra2             = $_SESSION['ocarrito']->array_cars[$i][30];
           $v_extra2               = $_SESSION['ocarrito']->array_cars[$i][31];
           $vt_extra2              = $_SESSION['ocarrito']->array_cars[$i][32];
           $vt_extra2              = number_format($vt_extra2, 2, '.', '').' EUR';

           $cod_extra3             = $_SESSION['ocarrito']->array_cars[$i][33];
           $desc_extra3            = $_SESSION['ocarrito']->array_cars[$i][34];
           $qty_extra3             = $_SESSION['ocarrito']->array_cars[$i][35];     
           $v_extra3               = $_SESSION['ocarrito']->array_cars[$i][36];
           $vt_extra3              = $_SESSION['ocarrito']->array_cars[$i][37];
           $vt_extra3              = number_format($vt_extra3, 2, '.', '').' EUR';

           $cod_extra4             = $_SESSION['ocarrito']->array_cars[$i][38];
           $desc_extra4            = $_SESSION['ocarrito']->array_cars[$i][39];
           $qty_extra4             = $_SESSION['ocarrito']->array_cars[$i][40];
           $v_extra4               = $_SESSION['ocarrito']->array_cars[$i][41];
           $vt_extra4              = $_SESSION['ocarrito']->array_cars[$i][42];
           $vt_extra4              = number_format($vt_extra4, 2, '.', '').' EUR';
 
           $cod_extra5             = $_SESSION['ocarrito']->array_cars[$i][43];
           $desc_extra5            = $_SESSION['ocarrito']->array_cars[$i][44];
           $qty_extra5             = $_SESSION['ocarrito']->array_cars[$i][45];
           $v_extra5               = $_SESSION['ocarrito']->array_cars[$i][46];
           $vt_extra5              = $_SESSION['ocarrito']->array_cars[$i][47];
           $vt_extra5              = number_format($vt_extra5, 2, '.', '').' EUR';

           $cod_extra_fh           = $_SESSION['ocarrito']->array_cars[$i][48];
           $desc_extra_fh          = $_SESSION['ocarrito']->array_cars[$i][49];
           $v_extra_fh             = $_SESSION['ocarrito']->array_cars[$i][50];
           $vt_extra_fh            = $_SESSION['ocarrito']->array_cars[$i][51];
           $vt_extra_fh            = number_format($vt_extra_fh, 2, '.', '').' EUR';
          
           $desc_extra_inc1        = $_SESSION['ocarrito']->array_cars[$i][52];     
           $desc_extra_inc2        = $_SESSION['ocarrito']->array_cars[$i][53];              

           $desc_extra_inc3        = $_SESSION['ocarrito']->array_cars[$i][54];     
           $desc_extra_inc4        = $_SESSION['ocarrito']->array_cars[$i][55];              

           $desc_extra_inc5        = $_SESSION['ocarrito']->array_cars[$i][56];     
           $desc_extra_inc6        = $_SESSION['ocarrito']->array_cars[$i][57];              

           $desc_extra_inc7        = $_SESSION['ocarrito']->array_cars[$i][58];     
           $desc_extra_inc8        = $_SESSION['ocarrito']->array_cars[$i][59];              

           $desc_extra_inc9        = $_SESSION['ocarrito']->array_cars[$i][60];     
           $desc_extra_inc10       = $_SESSION['ocarrito']->array_cars[$i][61];              

           $desc_extra_inc11       = $_SESSION['ocarrito']->array_cars[$i][62];     
           $desc_extra_inc12       = $_SESSION['ocarrito']->array_cars[$i][63];     

           $included = '';

           if ($desc_extra_inc1 !='')
           {
               if ($included=='')
                   $included = $desc_extra_inc1;
               else
                   $included = $included.', '.$desc_extra_inc1;
           }

           if ($desc_extra_inc2 !='')
           {
               if ($included=='')
                   $included = $desc_extra_inc2;
               else
                   $included = $included.', '.$desc_extra_inc2;
           }

           if ($desc_extra_inc3 !='')
           {
               if ($included=='')
                   $included = $desc_extra_inc3;
               else
                   $included = $included.', '.$desc_extra_inc3;
           }

           if ($desc_extra_inc4 !='')
           {
               if ($included=='')
                   $included = $desc_extra_inc4;
               else
                   $included = $included.', '.$desc_extra_inc4;
           }

           if ($desc_extra_inc5 !='')
           {
               if ($included=='')
                   $included = $desc_extra_inc5;
               else
                   $included = $included.', '.$desc_extra_inc5;
           }

           if ($desc_extra_inc6 !='')
           {
               if ($included=='')
                   $included = $desc_extra_inc6;
               else
                   $included = $included.', '.$desc_extra_inc6;
           }  

           if ($desc_extra_inc7 !='')
           {
               if ($included=='')
                   $included = $desc_extra_inc7;
               else
                   $included = $included.', '.$desc_extra_inc7;
           }  

           if ($desc_extra_inc8 !='')
           {
               if ($included=='')
                   $included = $desc_extra_inc8;
               else
                   $included = $included.', '.$desc_extra_inc8;
           }  

           if ($desc_extra_inc9 !='')
           {
               if ($included=='')
                   $included = $desc_extra_inc9;
               else
                   $included = $included.', '.$desc_extra_inc9;
           }  

           if ($desc_extra_inc10 !='')
           {
               if ($included=='')
                   $included = $desc_extra_inc10;
               else
                   $included = $included.', '.$desc_extra_inc10;
           }  

           if ($desc_extra_inc11 !='')
           {
               if ($included=='')
                   $included = $desc_extra_inc11;
               else
                   $included = $included.', '.$desc_extra_inc11;
           }  

           if ($desc_extra_inc12 !='')
           {
               if ($included=='')
                   $included = $desc_extra_inc12;
               else
                   $included = $included.', '.$desc_extra_inc12;
           }  

           $commission             = $_SESSION['ocarrito']->array_cars[$i][64];     
           $price_day              = $_SESSION['ocarrito']->array_cars[$i][65];              
           $price_total_day        = $_SESSION['ocarrito']->array_cars[$i][66]; 
           $price_total_day        = number_format($price_total_day, 2, '.', '').' EUR';
    

           $charged_prod           = $_SESSION['ocarrito']->array_cars[$i][67];  
           $charged_prod           = '<B>'.number_format($charged_prod, 2, '.', '').' EUR</B>';   
           $balance_prod           = $_SESSION['ocarrito']->array_cars[$i][68]; 
           $balance_prod           = '<B><SPAN STYLE="font-size: 13px; color:rgb(0,0,204);">'.number_format($balance_prod, 2, '.', '').' EUR</SPAN></B>';               
           $price_total            = $_SESSION['ocarrito']->array_cars[$i][69];   
           $price_total            = '<B>'.number_format($price_total, 2, '.', '').' EUR</B>';  
 
           $trato                  = $_SESSION['ocarrito']->array_cars[$i][70];
           $nome_cliente           = $_SESSION['ocarrito']->array_cars[$i][71];

           $nome_hotel             = $_SESSION['ocarrito']->array_cars[$i][72];     
           $nro_voo                = $_SESSION['ocarrito']->array_cars[$i][73];

           $address_pick_up        = $_SESSION['ocarrito']->array_cars[$i][74];
           $address_drop_off       = $_SESSION['ocarrito']->array_cars[$i][75];

           $email_cliente          = $_SESSION['ocarrito']->array_cars[$i][76];
           $telefone_cliente       = $_SESSION['ocarrito']->array_cars[$i][77];

           $lugar_entrega = $desc_regiao.' - '.$desc_pick_up_location.' - '.$address_pick_up;
           $lugar_recolha = $desc_region_dest.' - '.$desc_drop_off_location.' - '.$address_drop_off;

           $nome_cliente_final = $trato.' '.$nome_cliente;

           $header_rental_cost = header_rental_cost();
           $body_custos   = body_rental_cost('Valor da viatura','',$price_day,$price_total_day);

           if ($desc_extra1 != '')
               $body_custos = $body_custos.body_rental_cost($desc_extra1,$qty_extra1,$v_extra1,$vt_extra1);

           if ($desc_extra2 != '')
               $body_custos = $body_custos.body_rental_cost($desc_extra2,$qty_extra2,$v_extra2,$vt_extra2);

           if ($desc_extra3 != '')
               $body_custos = $body_custos.body_rental_cost($desc_extra3,$qty_extra3,$v_extra3,$vt_extra3);

           if ($desc_extra4 != '')
               $body_custos = $body_custos.body_rental_cost($desc_extra4,$qty_extra4,$v_extra4,$vt_extra4);

           if ($desc_extra5 != '')
               $body_custos = $body_custos.body_rental_cost($desc_extra5,$qty_extra5,$v_extra5,$vt_extra5);

           if ($desc_extra_fh != '')
               $body_custos = $body_custos.body_rental_cost($desc_extra_fh,'',$v_extra_fh,$vt_extra_fh);

           $body_custos = $body_custos.body_rental_cost('<B>TOTAL</B>','','&nbsp',$price_total);
           $body_custos = $body_custos.body_rental_cost('<B>VALOR PAGO</B>','','&nbsp',$charged_prod);
           $body_custos = $body_custos.body_rental_cost('<B>VALOR A PAGAR</B>','','&nbsp',$balance_prod);

           $root_rental_cost  = '</table>';

           $desc_extras   = $header_rental_cost.$body_custos.$root_rental_cost;

           envio_email_rentacar($nro_voucher, $cod_rentacar, $nome_rentacar, $desc_categoria, $cod_grupo, $desc_grupo, $pick_up_full_data, $drop_off_full_data, $nro_dias, $desc_extras, $included, $nome_hotel, $nro_voo, $lugar_entrega, $lugar_recolha, $nome_cliente_final, $email_cliente, $telefone_cliente);           
           $msg  ="<A HREF='http://www.bravacar.com.pt/html/car_voucher.php?nro_voucher=".$nro_voucher."&id_voucher=".$id_voucher."'>http://www.bravacar.com.pt/html/car_voucher.php?nro_voucher=$nro_voucher&id_voucher=$id_voucher</A>";
       }

       if ($msg != '')
       {
          $msg2 = "<html><body>Reserva da Bravacar - Rent a car
          <br><br>        
          Caro $nome_cliente_final
          <br><br>
          Efectuou uma reserva online pela Bravacar - Rent a car
          <br><br>        
          Se quiser rever seu voucher, por favor clique no seguinte link:
          <br><br>        
          $msg
          <br><br>
          Obrigado
          <br>
          Bravacar - Rent a car
          <br>
          </body></html>";

          if ($email_cliente != '')
          {

             $mail = new PHPMailer();
             $mail->IsSMTP();                             // send via SMTP
             $mail->Host     = "127.0.0.1";               // SMTP servers
             $mail->SMTPAuth = true;                      // turn on SMTP authentication
             $mail->Username = "informatica@bravacar.com.pt"; // um endereço e-mail valido deste domínio
             $mail->Password = "london";                  // senha desse endereço e-mail valido deste domínio    

             $mail->From     = RESERV_EMAIL;
             $mail->FromName = "Reservas Bravacar";
             $mail->AddAddress($email_cliente);              

             $mail->WordWrap = 50;                         
             $mail->IsHTML(false);

             $mail->Subject  =  "Voucher - Bravacar - Rent a car";
             $mail->Body     =  $msg2;
             $mail->AltBody  =  $msg2;
             
             if(!$mail->Send())
             {
                 echo "Mail não enviado <p>";
                 echo "Erro: " . $mail->ErrorInfo;
                 exit;
             }
             $mail->SmtpClose();


             ####### ENVIO DO EMAIL DO CLIENTE PARA O EMAIL DE SEGUIMENTO #######

             $mail = new PHPMailer();
             $mail->IsSMTP();                             // send via SMTP
             $mail->Host     = "127.0.0.1";               // SMTP servers
             $mail->SMTPAuth = true;                      // turn on SMTP authentication
             $mail->Username = "informatica@bravacar.com.pt"; // um endereço e-mail valido deste domínio
             $mail->Password = "london";                  // senha desse endereço e-mail valido deste domínio    

             $mail->From     = RESERV_EMAIL;
             $mail->FromName = "Cliente - Reserva Bravacar";
             $mail->AddAddress(SEG_EMAIL);              

             $mail->WordWrap = 50;                         
             $mail->IsHTML(false);

             $mail->Subject  =  "Voucher - Bravacar - Rent a car. B".$nro_voucher;
             $mail->Body     =  $msg2;
             $mail->AltBody  =  $msg2;
             
             if(!$mail->Send())
             {
                 echo "Mail não enviado <p>";
                 echo "Erro: " . $mail->ErrorInfo;
                 exit;
             }
             $mail->SmtpClose();
          }          
       }
    }

    function insert_factura_car($cod_rentacar,$nro_dias,$nome_cliente,$desc_grupo,$comissao,$price_day,$price_total_day)

    {
       $total_sem_iva = 0;
       $total_iva     = 0;

       $data_insercao = date("Y/m/d H:i:s");
       $nro_factura = 0;      

       $sql = "insert into tbfacturas_c";
       $sql = $sql." (tipo_empresa,cod_empresa,nome_cliente,data) ";
       $sql = $sql." values (2,$cod_rentacar,$nome_cliente,'$data_insercao')";
          
       $result = mysql_query($sql) or die("insert tbfacturas_c fails");

       if (isset($result)) 
          $nro_factura = mysql_insert_id();

       if ($nro_factura!=0)
       {          
          $factor = ($comissao / 100);

          // Caso 1 = Valor do carro
          $nro_item = 1;   
          $valor_dia     = $price_day*$factor;       
          
          $valor_total   = $price_total_day*$factor;
          $valor_sem_iva = ($valor_total/1.15);
          $valor_iva     = ($valor_total/1.15)*0.15;

          $total_sem_iva = $total_sem_iva + $valor_sem_iva;
          $total_iva     = $total_iva + $valor_iva;

          $sql = "insert into tbfacturas_d";
          $sql = $sql." (nro_factura,nro_item,descricao,quantidade,porcentagem_iva,nro_dias, ";
          $sql = $sql." valor_produto,valor_sem_iva,valor_iva,valor_total) ";
          $sql = $sql." values ($nro_factura, $nro_item, '$desc_grupo', 1, 15, $nro_dias,";
          $sql = $sql." $valor_dia, $valor_sem_iva, $valor_iva, $valor_total) ";         
    
          $result = mysql_query($sql) or die("insert tbfacturas_d fails");

          // Caso 2: actualizar valores da factura
          $sql = "update tbfacturas_c set valor_sem_iva = $total_sem_iva,";
          $sql = $sql." valor_iva = $total_iva, valor_total = $valor_total ";
          $sql = $sql." where nro_factura = $nro_factura";
          
          $result = mysql_query($sql) or die("update tbfacturas_c fails");
       }   
       return $nro_factura;
    }

    function insert_voucher_car($id_voucher,$cod_rentacar,$lugar_entrega,$data_pick_up,$lugar_recolha,$data_drop_off,$nro_dias,$nome_cliente,$email_cliente,$telefone_cliente,$pais_cliente,$cod_grupo,$desc_grupo,$included,$nome_hotel,$nro_voo,$special_request,$commission,$charged_prod,$balance_prod,$price_total,$price_day,$price_total_day,$desc_extra1,$quantity_extra1,$price_day_extra1,$price_total_extra1,$desc_extra2,$quantity_extra2,$price_day_extra2,$price_total_extra2,$desc_extra3,$quantity_extra3,$price_day_extra3,$price_total_extra3,$desc_extra4,$quantity_extra4,$price_day_extra4,$price_total_extra4,$desc_extra5,$quantity_extra5,$price_day_extra5,$price_total_extra5,$desc_extra_fh,$price_extra_fh,$price_total_extra_fh)
    {

       $data_insercao = date("Y/m/d H:i:s");       

       $nro_voucher = 0;       

       $sql = "insert into tbvoucher_car";
       $sql = $sql." (data,tipo_empresa,cod_empresa,";
       $sql = $sql." lugar_entrega,data_inicio,lugar_recolha,data_fim,nro_dias,";
       $sql = $sql." nome_cliente,telefone_cliente,email_cliente,pais,cod_producto,desc_producto,included,";
       $sql = $sql." nome_hotel,nro_voo,observacoes,comissao,";
       $sql = $sql." valor_pago,valor_a_pagar,valor_total,";
       $sql = $sql." valor_aluguer_carro,valor_total_aluguer_carro,";
       $sql = $sql." desc_extra1,qty_extra1,valor_extra1,valor_total_extra1,";
       $sql = $sql." desc_extra2,qty_extra2,valor_extra2,valor_total_extra2,";
       $sql = $sql." desc_extra3,qty_extra3,valor_extra3,valor_total_extra3,";
       $sql = $sql." desc_extra4,qty_extra4,valor_extra4,valor_total_extra4,";
       $sql = $sql." desc_extra5,qty_extra5,valor_extra5,valor_total_extra5,";
       $sql = $sql." desc_extra_fh,valor_extra_fh,valor_total_fh,id_voucher)";
       
       $sql = $sql." values ('$data_insercao',2,$cod_rentacar,";
       $sql = $sql." '$lugar_entrega','$data_pick_up','$lugar_recolha','$data_drop_off',$nro_dias,";
       $sql = $sql." $nome_cliente,'$telefone_cliente','$email_cliente','$pais_cliente','$cod_grupo',";
       $sql = $sql." '$desc_grupo','$included','$nome_hotel','$nro_voo','$special_request',$commission,";
       $sql = $sql." $charged_prod,$balance_prod,$price_total,";
       $sql = $sql." $price_day,$price_total_day,";
       $sql = $sql." '$desc_extra1',$quantity_extra1,$price_day_extra1,$price_total_extra1,";
       $sql = $sql." '$desc_extra2',$quantity_extra2,$price_day_extra2,$price_total_extra2,";
       $sql = $sql." '$desc_extra3',$quantity_extra3,$price_day_extra3,$price_total_extra3,";
       $sql = $sql." '$desc_extra4',$quantity_extra4,$price_day_extra4,$price_total_extra4,";
       $sql = $sql." '$desc_extra5',$quantity_extra5,$price_day_extra5,$price_total_extra5,";
       $sql = $sql." '$desc_extra_fh',$price_extra_fh,$price_total_extra_fh,'$id_voucher')";    
              
       $result = mysql_query($sql) or die("insert tbvoucher_car failed");       

       if (isset($result)) 
          $nro_voucher = mysql_insert_id();

       return $nro_voucher;
    }

?>
